local createCompositionAxel_move_cycle = nil
local createCompositionz_mill_bg = nil
local createCompositionz_mill_wheel_move_cycle = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/06_garden/hp/anim/z_mill/"
---------------------------------------------------------------------------------------
function Loader_06_HP_Zoom_mill_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionz_mill_bg,		                'mill',		        0,0, 10, 320,240, true),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionAxel_move_cycle = function()
	local compositionAxel_move_cycle = CreateCompositionSequence()
	local compositionDuration = 0.625
	compositionAxel_move_cycle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_axle_1.png")
	element:SetName("Layer_1")
	compositionAxel_move_cycle:AddElement(element)
	element:SetHotSpot(47.5, 241)
	element:SetParentElement(compositionAxel_move_cycle)
	element:SetXY(360.5, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_axle_2.png")
	element:SetName("Layer_2")
	compositionAxel_move_cycle:AddElement(element)
	element:SetHotSpot(47.5, 241)
	element:SetParentElement(compositionAxel_move_cycle)
	element:SetXY(361.5, 241)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 1)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_axle_3.png")
	element:SetName("Layer_3")
	compositionAxel_move_cycle:AddElement(element)
	element:SetHotSpot(47.5, 241)
	element:SetParentElement(compositionAxel_move_cycle)
	element:SetXY(361, 239.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 0.625, 1)
	effector:Play()
 
	compositionAxel_move_cycle:Play()
 
	return compositionAxel_move_cycle
end
 
createCompositionz_mill_bg = function()
	local compositionz_mill_bg = CreateCompositionSequence()
	local compositionDuration = 0.625
	compositionz_mill_bg:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionAxel_move_cycle()
	element:SetName("Layer_1")
	compositionz_mill_bg:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionz_mill_bg)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionz_mill_wheel_move_cycle()
	element:SetName("Layer_2")
	compositionz_mill_bg:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionz_mill_bg)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:Play()
 
	compositionz_mill_bg:Play()
 
	return compositionz_mill_bg
end
 
createCompositionz_mill_wheel_move_cycle = function()
	local compositionz_mill_wheel_move_cycle = CreateCompositionSequence()
	local compositionDuration = 0.625
	compositionz_mill_wheel_move_cycle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_pegs_1.png")
	element:SetName("Layer_1")
	compositionz_mill_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(48, 137.5)
	element:SetParentElement(compositionz_mill_wheel_move_cycle)
	element:SetXY(272, 275.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_wheel_1.png")
	element:SetName("Layer_2")
	compositionz_mill_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(235.5, 182)
	element:SetParentElement(compositionz_mill_wheel_move_cycle)
	element:SetXY(405.5, 291)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_wheel_3.png")
	element:SetName("Layer_3")
	compositionz_mill_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(235, 172.5)
	element:SetParentElement(compositionz_mill_wheel_move_cycle)
	element:SetXY(407, 280)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 1)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."z_mill_wheel_2.png")
	element:SetName("Layer_4")
	compositionz_mill_wheel_move_cycle:AddElement(element)
	element:SetHotSpot(241.5, 181)
	element:SetParentElement(compositionz_mill_wheel_move_cycle)
	element:SetXY(399, 280)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 0.625, 1)
	effector:Play()
 
	compositionz_mill_wheel_move_cycle:Play()
 
	return compositionz_mill_wheel_move_cycle
end
 
